There is no YASU 1.7.

Just use latest DT (4.30.4) and YASU (1.6.9040) and there'll be no need to rename anything